[paludis-user] Paludis update problem

Ciaran McCreesh ciaran.mccreesh at googlemail.com
Thu Oct 1 21:14:38 UTC 2009


On Thu, 1 Oct 2009 19:06:15 +0200
Ward Poelmans <wpoely86 at gmail.com> wrote:
> First, it want to downgrade baselayout from 2.x to 1.x. In the lvm2
> ebuild it says:
> RDEPEND="${DEPEND}
>         || ( =sys-apps/baselayout-1* >=sys-apps/openrc-0.4 )
>         !sys-fs/lvm-user
>         !sys-fs/clvm"
> 
> As openrc-0.4.3-r3 is installed, it should not downgrade baselayout.

Yes, it should. Leftmost's favoured. The ebuild needs to be fixed to
specify those two the other way around.

> Second, it gives a block on device-mapper, which is uninstalled (i
> check with paludis -q device-mapper).

But it's part of the dep tree.

Try package-masking baselayout-1.

-- 
Ciaran McCreesh
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 198 bytes
Desc: not available
URL: <http://lists.exherbo.org/pipermail/paludis-user/attachments/20091001/03bf7fac/attachment.asc>


More information about the paludis-user mailing list